<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Apps\EeApp\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class EeMenuUser extends Entity {

    //Constructeur
    function __construct($core) {
        //Version
        $this->Version = "2.0.0.0";

        //Nom de la table 
        $this->Core = $core;
        $this->TableName = "EeMenuUser";
        $this->Alias = "EeMenuUser";

        $this->Code = new Property("Code", "Code", TEXTAREA, false, $this->Alias);
        $this->AppCode = new Property("AppCode", "AppCode", TEXTAREA, false, $this->Alias);
        $this->Data = new Property("Data", "Data", TEXTAREA, false, $this->Alias);
        $this->Position = new Property("Position", "Position", NUMERICBOX, false, $this->Alias);

        //Creation de l entité 
        $this->Create();
    }
}

?>